Skip to main content
GET
/
api
/
models
/
pricing
List model pricing
curl --request GET \
  --url https://www.narev.ai/api/models/pricing
{
  "data": [
    {
      "model_id": "gpt-4o",
      "provider": "openai",
      "subprovider": "OpenAI",
      "pricing": {
        "price_prompt": 0.0000025,
        "price_completion": 0.00001,
        "pricing_discount": 0,
        "pricing_request": 0,
        "price_web_search": 0,
        "price_input_cache_read": 0,
        "price_input_cache_write": 0,
        "price_image": 0,
        "price_image_output": 0,
        "price_audio": 0,
        "price_audio_output": 0,
        "price_input_audio_cache": 0,
        "price_internal_reasoning": 0
      }
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://narev.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

model_id
string
Example:

"gpt-4o"

Example:

"gpt"

provider
enum<string>
Available options:
anthropic,
bedrock,
cerebras,
chutes,
cohere,
deepinfra,
deepseek,
fireworks,
github-models,
google_ai_studio,
groq,
kilo,
minimax,
mistral,
moonshot,
nebius,
novita,
nvidia,
openai,
openrouter,
sambanova,
siliconflow,
stepfun,
together,
xai,
zai
Example:

"openai"

subprovider
enum<string>
Available options:
AI21,
AionLabs,
Akash,
AkashML,
Alibaba,
Amazon Bedrock,
Ambient,
Anthropic,
Arcee AI,
AtlasCloud,
Azure,
BaseTen,
Cerebras,
Chutes,
Cirrascale,
Clarifai,
Cloudflare,
Cohere,
Crusoe,
DeepInfra,
DeepSeek,
Featherless,
Fireworks,
Friendli,
GMICloud,
Google,
Google AI Studio,
Groq,
Hyperbolic,
Inception,
Inceptron,
Infermatic,
Inflection,
Io Net,
Ionstream,
Liquid,
Mancer 2,
Mara,
Minimax,
Mistral,
ModelRun,
Moonshot AI,
Morph,
Nebius,
NextBit,
Novita,
Nvidia,
OpenAI,
OpenInference,
Parasail,
Perplexity,
Phala,
Reka,
Relace,
SambaNova,
Seed,
SiliconFlow,
StepFun,
StreamLake,
Switchpoint,
Together,
Upstage,
Venice,
WandB,
Xiaomi,
Z.AI,
github-models,
xAI
Example:

"OpenAI"

sort_by
enum<string>
Available options:
model_id,
provider,
subprovider
Example:

"model_id"

order
enum<string>
default:asc
Available options:
asc,
desc
Example:

"asc"

page
integer
default:1
Required range: x >= 1
Example:

1

limit
integer
default:100
Required range: 1 <= x <= 1000
Example:

100

Response

200 - application/json

Pricing data, keyed by model ID.

List of model pricing entries.

data
object[]
required
meta
object
required